package com.loqate.ws.rest.service;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * LqtWebQueryRecord
 * Query record
 * Provides get and set methods. Required for the web service to provide 
 * a response in multiple formats (JSON and XML)
 */
@XmlRootElement
public class LqtWebQueryRecord {
    private String Organization;
    private String Address1;
    private String Address2;
    private String Locality;
    private String AdministrativeArea;
    private String PostalCode;
    private String Country;
    private String AVC;
    
    public LqtWebQueryRecord() {
        this.Organization = "";
        this.Address1 = "";
        this.Address2 = "";
        this.Locality ="";
        this.AdministrativeArea ="";       
        this.PostalCode="";
        this.Country="";
        this.AVC="";
    }

    /**
     * @return the Organization
     */
    public String getOrganization() {
        return Organization;
    }

    /**
     * @param Organization the Organization to set
     */
    public void setOrganization(String Organization) {
        this.Organization = Organization;
    }

    /**
     * @return the Address1
     */
    public String getAddress1() {
        return Address1;
    }

    /**
     * @param Address1 the Address1 to set
     */
    public void setAddress1(String Address1) {
        this.Address1 = Address1;
    }

    /**
     * @return the Address2
     */
    public String getAddress2() {
        return Address2;
    }

    /**
     * @param Address2 the Address2 to set
     */
    public void setAddress2(String Address2) {
        this.Address2 = Address2;
    }

    /**
     * @return the Locality
     */
    public String getLocality() {
        return Locality;
    }

    /**
     * @param Locality the Locality to set
     */
    public void setLocality(String Locality) {
        this.Locality = Locality;
    }

    /**
     * @return the AdministrativeArea
     */
    public String getAdministrativeArea() {
        return AdministrativeArea;
    }

    /**
     * @param AdministrativeArea the AdministrativeArea to set
     */
    public void setAdministrativeArea(String AdministrativeArea) {
        this.AdministrativeArea = AdministrativeArea;
    }

    /**
     * @return the PostalCode
     */
    public String getPostalCode() {
        return PostalCode;
    }

    /**
     * @param PostalCode the PostalCode to set
     */
    public void setPostalCode(String PostalCode) {
        this.PostalCode = PostalCode;
    }

    /**
     * @return the Country
     */
    public String getCountry() {
        return Country;
    }

    /**
     * @param Country the Country to set
     */
    public void setCountry(String Country) {
        this.Country = Country;
    }

    /**
     * @return the AVC
     */
    public String getAVC() {
        return AVC;
    }

    /**
     * @param AVC the AVC to set
     */
    public void setAVC(String AVC) {
        this.AVC = AVC;
    }
    
}
